GetNowBlock
GET
Query the latest solidified block, which is the height baseline for final-state reads.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
blockIDstring
Block hash.Block header information.
Raw data of the block header.
numberinteger
Block number (height).txTrieRootstring
Root hash of the transaction Merkle tree.witness_addressstring
Address of the Super Representative that produced the block.parentHashstring
Hash of the parent block.versioninteger
Protocol version number.timestampinteger
Timestamp. (Unit: millisecond)witness_signaturestring
Signature of the Super Representative.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X GET 'https://tron-mainnet.nodit.io/walletsolidity/getnowblock' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'